%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
%if "%distro_section" == "tainted"
%global build_plf 1
%endif
%define build_pvm 0
%{?_without_pvm:		%{expand: %%global build_pvm 0}}
%{?_with_pvm:			%{expand: %%global build_pvm 1}}
%define build_dv 1
%define build_freetype 1
%define build_quicktime 1
%define build_theora 1
%define build_faac 0

Name:		transcode
Version:	1.1.7
%define 	subrel 2
Release:	%mkrel 29
Summary:	A linux video stream processing utility
License: 	GPLv2+
Group: 		Video/Editors and Converters
Url:		http://tcforge.berlios.de/
Source:		https://bitbucket.org/france/transcode-tcforge/downloads/%{name}-%{version}.tar.bz2
Patch0:		transcode-1.1.7-ffmpeg.patch
Patch1:		transcode-1.1.7-ffmpeg-0.10.patch
Patch2:		transcode-1.1.7-ffmpeg-0.11.patch
Patch3:		transcode-1.1.7-preset-free.patch
Patch4:		transcode-1.1.7-libav-9.patch
Patch5:		transcode-1.1.7-libav-10.patch
Patch6:		transcode-1.1.7-preset-force.patch
Patch7:		transcode-1.1.7-ffmpeg2.patch
Patch8:		transcode-1.1.7-freetype.patch
Patch9:		transcode-1.1.7-ffmpeg2.4.patch
Patch10:	transcode-1.1.7-ffmpeg29.patch
Patch11:	transcode-ffmpeg3.patch
Patch12:	transcode-1.1.7-imagemagick7.patch
Patch13:	transcode-1.1.7-ffmpeg4.patch
Patch14:	transcode-gcc10.patch
Patch15:	transcode-glibc-2.32.patch

BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	ffmpeg-devel >= 0.4.9
%if %build_dv
BuildRequires:	pkgconfig(libdv) >= 0.99
%endif
BuildRequires:	pkgconfig(dvdread)
%if %build_freetype
BuildRequires:	pkgconfig(freetype2)
%endif
BuildRequires:	xvid-devel
BuildRequires:	lame-devel
BuildRequires:	a52dec-devel
BuildRequires:	liblzo-devel
BuildRequires:	libnetpbm-devel
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(x264)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libmpeg2)
%if %build_faac
BuildRequires:	libfaac-devel
%endif
%if %build_quicktime
BuildRequires:	pkgconfig(libquicktime) >= 0.9.3
%endif
%if %build_theora
BuildRequires:	pkgconfig(theora)
%endif
%if %build_pvm
BuildRequires:	libpvm-devel >= 3.4
%endif
#gw these are requirements of the plf version of libMagick-devel
BuildRequires:	pkgconfig(jasper)
BuildRequires:	jbig-devel

%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files.
A set of tools is available to extract and decode the sources into
raw video/audio streams for import and to enable post-processing of AVI files.

This package is in tainted as it could violate some patents.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -mmmx"
%endif
%configure \
	--enable-libmpeg2 \
	--enable-libmpeg2convert \
	--enable-a52-default-decoder \
	--with-default-xvid=xvid4 \
%if %build_dv
	--enable-libdv \
%endif
%if %build_pvm
	--with-pvm3-lib=%{_datadir}/pvm3/lib/LINUX/ \
%else
	--disable-pvm3 \
%endif
	--enable-imagemagick \
	--enable-mjpegtools \
	--enable-netstream \
	--enable-ogg \
	--enable-vorbis \
%if %build_theora
	--enable-theora \
%endif
%if %build_quicktime
	--enable-libquicktime \
%endif
	--enable-lzo --with-lzo-includes=%{_includedir}/lzo \
	--enable-libxml2 \
	--enable-a52 \
	--enable-sdl \
	--enable-v4l \
	--enable-libv4l2 \
	--enable-libv4lconvert \
	--enable-libfame \
	--enable-oss \
	--enable-alsa \
	--enable-libpostproc \
%if %{build_faac}
	--enable-faac \
%endif
	--enable-deprecated \
%if %build_freetype
	--enable-freetype2 \
%else
	--disable-freetype2 \
%endif
	--enable-xvid \
	--enable-x264

%make_build

%install
%make_install transform=""

for file in `find %{buildroot} -name "*.la"`; do
	perl -pi -e 's|'%{buildroot}'/%{name}-%{version}/||g' $file
done
mv %{buildroot}%{_datadir}/doc/transcode installed-docs

%files
%doc installed-docs/*
%{_bindir}/transcode
%{_bindir}/tccat
%{_bindir}/aviindex
%{_bindir}/avimerge
%{_bindir}/avisplit
%{_bindir}/tcdemux
%{_bindir}/tcprobe
%{_bindir}/avifix
%{_bindir}/tcscan
%{_bindir}/tcextract
%{_bindir}/avisync
%{_bindir}/tcdecode
%{_bindir}/tcmodinfo
%{_bindir}/tcxmlcheck
%{_bindir}/tcxpm2rgb
%{_bindir}/tcmp3cut
%{_bindir}/tcrequant
%if %build_pvm
%{_bindir}/tcpvmexportd
%endif
%{_bindir}/tcyait
%{_libdir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri Nov 25 2022 ns80 <ns80> 1.1.7-29.2.mga8
+ Revision: 1911025
- Rebuild against new imagemagick (mga#29054)
+ daviddavid <daviddavid>
- add archlinux patches to fix build with GCC 10 and glibc 2.32
+ neoclust <neoclust>
- Rebuild against new imagemagick

* Mon Nov 16 2020 kekepower <kekepower> 1.1.7-29.mga8.tainted
+ Revision: 1646571
- Rebuild for new Imagemagick lib major

* Mon Jul 06 2020 daviddavid <daviddavid> 1.1.7-28.mga8.tainted
+ Revision: 1602647
- rebuild for new x264-0.157

* Fri May 01 2020 daviddavid <daviddavid> 1.1.7-27.mga8.tainted
+ Revision: 1577520
- rebuild for new dvdread 6.1.1

* Fri Feb 21 2020 umeabot <umeabot> 1.1.7-26.mga8.tainted
+ Revision: 1548889
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 1.1.7-25.mga8.tainted
+ Revision: 1474955
- Rebuild for new imagemagick

* Mon Nov 25 2019 tv <tv> 1.1.7-24.mga8.tainted
+ Revision: 1462771
- rebuild for new libdvdread

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.1.7-23.mga7.tainted
+ Revision: 1347154
- rebuild for x264

* Fri Sep 21 2018 umeabot <umeabot> 1.1.7-22.mga7.tainted
+ Revision: 1291930
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.1.7-21.mga7.tainted
+ Revision: 1224495
- Rebuild for ImageMagic 7.0.7.29

* Tue May 01 2018 daviddavid <daviddavid> 1.1.7-20.mga7.tainted
+ Revision: 1224181
- add another gentoo patch to fix build with libav-10
- add gentoo patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Sun Jan 21 2018 wally <wally> 1.1.7-19.mga7.tainted
+ Revision: 1195408
- add pld patch via gentoo to fix build with imagemagick-7
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 1.1.7-18.mga7.tainted
+ Revision: 1185831
- rebuild for new imagemagick

* Sat May 27 2017 shlomif <shlomif> 1.1.7-17.mga6.tainted
+ Revision: 1105209
- rebuild for new imagemagick

* Thu Mar 09 2017 akien <akien> 1.1.7-16.mga6.tainted
+ Revision: 1090893
- Add patches from Archlinux to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Fri Mar 04 2016 luigiwalser <luigiwalser> 1.1.7-15.mga6.tainted
+ Revision: 985753
- rebuild for mjpegutils

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.1.7-14.mga6.tainted
+ Revision: 925622
- rebuild for x264

* Tue Nov 18 2014 akien <akien> 1.1.7-13.mga5.tainted
+ Revision: 797736
- Fix build with ffmpeg 2.4
+ tv <tv>
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-12.mga5.tainted
+ Revision: 742848
- Second Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.1.7-11.mga5.tainted
+ Revision: 665762
- add patch from debian to fix build with newer freetype2
- rebuild for imagemagick
- rebuild for x264

* Thu Oct 31 2013 tmb <tmb> 1.1.7-9.mga4.tainted
+ Revision: 548270
- Mageia 4 rebuild

* Tue Aug 13 2013 fwang <fwang> 1.1.7-8.mga4.tainted
+ Revision: 466113
- sync with gentoo patches
- try fix build with recent ffmpeg
- cleanup spec
- rebuild for new ffmpeg

* Tue May 28 2013 fwang <fwang> 1.1.7-6.mga4.tainted
+ Revision: 429199
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 1.1.7-5.mga3.tainted
+ Revision: 384732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.1.7-4.mga3.tainted
+ Revision: 330825
- drop old symbol
- rebuild for new imagemagick
- rebuild for new imagemagick

* Sat Sep 08 2012 dams <dams> 1.1.7-2.mga3.tainted
+ Revision: 289838
- add a patch to build with ffmpeg 1.1.7 (from Arch)
- rebuild for new libavformat

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.1.7-1.mga2.tainted
+ Revision: 217666
- 1.1.7
- update ffmpeg patch (from gentoo)

* Fri Jan 27 2012 fwang <fwang> 1.1.5-12.mga2.tainted
+ Revision: 202198
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Thu Dec 22 2011 tv <tv> 1.1.5-11.mga2.tainted
+ Revision: 185752
- bump release

* Fri Dec 02 2011 obgr_seneca <obgr_seneca> 1.1.5-10.mga2.tainted
+ Revision: 175034
- rebuild to fix bug #3562
- bump relese

* Mon Jul 18 2011 fwang <fwang> 1.1.5-9.mga2.tainted
+ Revision: 125849
- rebuild for new mjpegtools

* Sat Jul 16 2011 stormi <stormi> 1.1.5-8.mga2.tainted
+ Revision: 124747
+ rebuild (emptylog)

* Sat Jun 25 2011 fwang <fwang> 1.1.5-7.mga2.tainted
+ Revision: 113593
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-6.mga2.tainted
+ Revision: 112523
- corrected plf to tainted

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-5.mga2.tainted
+ Revision: 112501
- added tainted to spec file
- cleaned spec file
- disabled faac build since it's not (yet) in Mga
- imported package transcode


* Wed Jan 20 2010 Götz Waschk <goetz@zarb.org> 1.1.5-4plf2010.1
- rebuild for new imagemagick

* Sun Jan 10 2010 Götz Waschk <goetz@zarb.org> 1.1.5-3plf2010.1
- rebuild for new libjpeg

* Sun Nov 15 2009 Götz Waschk <goetz@zarb.org> 1.1.5-2plf2010.1
- enable libv4l
- update build deps for xvid and x264
- explicitly enable libmpeg2

* Sun Nov  1 2009 Götz Waschk <goetz@zarb.org> 1.1.5-1plf2010.0
- update build deps
- new version

* Mon Aug 24 2009 Götz Waschk <goetz@zarb.org> 1.1.4-1plf2010.0
- new version

* Sun Aug 16 2009 Götz Waschk <goetz@zarb.org> 1.1.3-1plf2010.0
- update filelist
- drop patch
- new version

* Thu Apr  2 2009 Götz Waschk <goetz@zarb.org> 1.1.2-1plf2009.1
- new version

* Mon Feb 23 2009 Götz Waschk <goetz@zarb.org> 1.1.1-1plf2009.1
- new version

* Wed Jan 28 2009 Götz Waschk <goetz@zarb.org> 1.1.0-2plf2009.1
- rebuild for new libmagick

* Sun Jan 18 2009 Götz Waschk <goetz@zarb.org> 1.1.0-1plf2009.1
- update build deps
- update license
- update file list
- fix format string
- enable deprecated code for dvdrip
- drop patch
- new version

* Sun Nov 23 2008 Götz Waschk <goetz@zarb.org> 1.0.7-1plf2009.1
- drop patch 0
- new version

* Mon Oct 13 2008 Götz Waschk <goetz@zarb.org> 1.0.6-3plf2009.1
- disable tomsmocomp on x86_64
- rebuild

* Mon Sep  1 2008 Götz Waschk <goetz@zarb.org> 1.0.6-2plf2009.0
- rebuild for new libdvdread

* Mon Jul 28 2008 Götz Waschk <goetz@zarb.org> 1.0.6-1plf2009.0
- drop patches 0,2,3
- new version

* Thu Apr 24 2008 Götz Waschk <goetz@zarb.org> 1.0.5-5plf2009.0
- remove old configure options
- fix build with new ffmpeg directory layout

* Sun Feb 10 2008 Anssi Hannula <anssi@zarb.org> 1.0.5-4plf2008.1
- fix build with new libmagick on cooker (P1)

* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 1.0.5-3plf2008.1
- fix buildrequires for lib64

* Fri Jan 18 2008 Götz Waschk <goetz@zarb.org> 1.0.5-2plf2008.1
- rebuild for new amrnb

* Mon Jan 14 2008 Götz Waschk <goetz@zarb.org> 1.0.5-1plf2008.1
- patch to fix nuv import build
- spec file cleanup
- drop dirac patch
- new version

* Fri Jan  4 2008 Götz Waschk <goetz@zarb.org> 1.0.4-2plf2008.1
- rebuild for new imagemagick

* Fri Oct  5 2007 Götz Waschk <goetz@zarb.org> 1.0.4-1plf2008.0
- update file list
- new version

* Fri May 11 2007 Götz Waschk <goetz@zarb.org> 1.0.3-3plf2008.0
- enable dirac support

* Wed Apr 18 2007 Götz Waschk <goetz@zarb.org> 1.0.3-2plf2008.0
- use liba52 as default ac3 decoder

* Tue Apr 17 2007 Götz Waschk <goetz@zarb.org> 1.0.3-1plf2007.1
- drop patches 0,1,2,4
- new version

* Sun Feb 18 2007 Götz Waschk <goetz@zarb.org> 1.0.2-10plf2007.1
- fix build
- reubild for new Magick

* Mon Sep 25 2006 Götz Waschk <goetz@zarb.org> 1.0.2-9plf2007.0
- drop wrong buildrequires for libfpx-devel

* Thu Aug 31 2006 Götz Waschk <goetz@zarb.org> 1.0.2-8plf2007.0
- patch for new ffmpeg
- rebuild for new Magick

* Thu Jun 08 2006 Götz Waschk <goetz@zarb.org> 1.0.2-7plf
- rebuild for new Magick

* Mon Apr  3 2006 Götz Waschk <goetz@zarb.org> 1.0.2-6plf
- fix bug #114 (lockup of dvdrip)

* Thu Mar 09 2006 Götz Waschk <goetz@zarb.org> 1.0.2-5plf
- rebuild for new ffmpeg

* Sun Mar 05 2006 Götz Waschk <goetz@zarb.org> 1.0.2-4plf
- rebuild for new libMagick

* Mon Jan 30 2006 Götz Waschk <goetz@zarb.org> 1.0.2-3plf
- rebuild

* Mon Jan 30 2006 Götz Waschk <goetz@zarb.org> 1.0.2-2plf
- rebuild for new Magick

* Wed Dec 28 2005 Götz Waschk <goetz@zarb.org> 1.0.2-1plf
- New release 1.0.2

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 1.0.1-3plf
- build without libpostproc

* Mon Oct 10 2005 Götz Waschk <goetz@zarb.org> 1.0.1-2plf
- rebuild for new mjpegtools

* Sun Oct  9 2005 Götz Waschk <goetz@zarb.org> 1.0.1-1plf
- drop patch 1
- New release 1.0.1

* Sun Sep 11 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-5plf
- rebuild for new Magick also on x86_64

* Wed Aug 24 2005 Götz Waschk <goetz@zarb.org> 1.0.0-4plf
- rebuild for new Magick

* Sat Aug 13 2005 Götz Waschk <goetz@zarb.org> 1.0.0-3plf
- rebuild for new mjpegtools

* Fri Jul 15 2005 Götz Waschk <goetz@zarb.org> 1.0.0-2plf
- build freetype plugin on stable too

* Tue Jul 12 2005 Götz Waschk <goetz@zarb.org> 1.0.0-1plf
- update file list
- enable freetype on Cooker
- enable oss
- drop patch 2
- new version

* Tue Jun 28 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.rc1.2plf
- rebuild for new liblzo

* Mon Jun 27 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.rc1.1plf
- update file list
- small patch for gcc 4
- drop patch 0
- new version

* Fri Jun 24 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.6plf
- enable mmx to make it build
- rebuild for new libMagick

* Wed Jun  1 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.5plf
- rebuild for new liblzo

* Fri May 27 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.4plf
- patch for new libquicktime

* Sat May 23 2005 trem <trem@zarb.org> 1.0.0-0.beta3.3plf
- add libmpeg2dec-devel in buildrequire (thanks to Jerome Martin)

* Wed May 18 2005 trem <trem@zarb.org> 1.0.0-0.beta3.2plf
- fix for amd64

* Wed May 18 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.1plf
- update file list
- patch for gcc4
- new version

* Fri Apr  8 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta2.2plf
- use the mkrel macro

* Wed Mar 16 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta2.1plf
- update file list
- drop patch
- drop nasm dep
- new version

* Wed Mar  2 2005 Götz Waschk <goetz@zarb.org> 0.6.14-8plf
- rebuild for new transcode

* Mon Jan 24 2005 Götz Waschk <goetz@zarb.org> 0.6.14-7plf
- fix URL
- patch for new libquicktime
- rebuild for new Magick

* Mon Jan 10 2005 Götz Waschk <goetz@zarb.org> 0.6.14-6plf
- rebuild for new Magick

* Wed Dec 29 2004 Götz Waschk <goetz@zarb.org> 0.6.14-5plf
- rebuild for new Magick

* Wed Nov 24 2004 Götz Waschk <goetz@zarb.org> 0.6.14-4plf
- reenable libfame

* Thu Nov 18 2004 Götz Waschk <goetz@zarb.org> 0.6.14-3plf
- fix 10.0 build

* Thu Nov 18 2004 Götz Waschk <goetz@zarb.org> 0.6.14-2plf
- drop patches and source 1
- enable networking support
- switch to dynamic ffmpeg

* Wed Nov 17 2004 Götz Waschk <goetz@zarb.org> 0.6.14-1plf
- drop patches 0,1
- drop suptitleripper
- disable libfame
- disable freetype
- add static ffmpeg
- update URLs
- new version

* Thu Sep  9 2004 Götz Waschk <goetz@zarb.org> 0.6.12-9plf
- reenable libdv on Cooker with patch from Couriousous

* Thu Jul 29 2004 Götz Waschk <goetz@zarb.org> 0.6.12-8plf
- rebuild for new ImageMagick

* Mon Jul 19 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-7plf
- fix filter_preview installation
- disable libdv support on Cooker
- rebuild for new ImageMagick

* Tue Jun 15 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-6plf
- fix gcc 3.4 build

* Thu Jun  3 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-5plf
- fix description
- new ImageMagick

* Fri Apr  2 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-4plf
- enable theora
- new dv

* Sun Feb 29 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-3plf
- list all plugins in the spec file
- fix imagemagick build

* Wed Feb 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-2plf
- add pvm switch
- new libfame

* Sun Jan 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-1plf
- configure libxvid4 as default xvid version
- remove special CFLAGS, not needed anymore
- new version

* Tue Jan  6 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.11-2plf
- fix docs section
- fix rpmlint problems
- fix cooker build

* Sun Nov 16 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.11-1plf
- don't libtoolize
- add tcrequant
- disable pvm for now
- fix buildrequires
- fix build with newer libpostproc
- new version

* Thu Sep 11 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.10-2plf
- add new binary
- enable PVM

* Tue Sep  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.10-1plf
- add new file
- drop patch
- fix buildrequires
- new version

* Sun Aug 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.9-1plf
- fix installation
- update package description
- drop patch1
- new version

* Fri Aug  8 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-3plf
- new ImageMagick

* Mon Jul 21 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-2plf
- patch to fix location of the avifile headers

* Tue Jul  8 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-1plf
- add the new binary aviindex
- new version

* Mon Jun  2 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.7-1plf
- drop merged patch
- new version

* Fri May 23 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.6-2plf
- enforce the right libdv version
- add a patch for lame mp3 encoding from the dvd::rip list

* Thu May 22 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.6-1plf
- enable freetype support
- new version

* Mon May 12 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.5-0.20030510.1plf
- drop obsolete patch0
- new snapshot

* Mon May  5 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-1plf
- rediff patch 0
- new version

* Fri Apr 11 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.2plf
- small install fix for Mandrake 9.0

* Thu Apr 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.1plf
- update the file list
- build with libfame0.9
- rediff patch 0
- new versions

* Wed Apr  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.2plf
- build with the new dvdread version

* Wed Mar 19 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.1plf
- patch xvidcvs module to dlopen our libxvidcore.so.3
- new snapshot

* Wed Mar 12 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030311.1plf
- drop patch 1
- new snapshot

* Thu Feb 13 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-3plf
- enable quicktime support

* Fri Feb  7 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-2plf
- add patch from dvd::rip for applying filters in pause mode

* Fri Jan 31 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-1plf
- add missing libxpm4-devel buildrequires (thanks Charles A Edwards)
- drop merged patch1
- 0.6.3 final

* Wed Jan 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.3plf
- rebuild for new ImageMagick

* Wed Jan 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.2plf
- patch to fix a problem with hackVideo-DVDRip

* Fri Jan 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.1plf
- ad tcmodinfo to file list
- reenable avifile support
- new prerelease

* Wed Jan 22 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.2plf
- disable avifile support

* Mon Jan 20 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.1plf
- fix build on 9.0
- new version

* Fri Jan 10 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.2plf
- remove conflict with libffmpeg, replaced by a patch

* Fri Jan 10 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.1plf
- new cvs snapshot

* Tue Jan  7 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.3plf
- rebuild against latest libMagick 

* Sun Jan  5 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.2plf
- rebuild with the right libMagick version from Cooker (5.5.2)

* Sun Dec 29 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.1plf
- new version (bugfix)

* Sat Dec 21 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-3plf
- disable external libavcodec

* Wed Dec 11 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-2plf
- really disable libmpeg3 
- fix buildrequires

* Sun Nov 24 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-1plf
- 0.6.2 final

* Tue Nov 19 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.3plf
- merge subtitleripper package

* Mon Nov 18 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.2plf
- build with mplayer postproc library

* Mon Nov 18 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.1plf
- remove unpackaged docs
- new snapshot

* Mon Oct 28 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021024.1plf
- buildrequires liblzo-devel 
- new snapshot

* Tue Oct 22 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-2plf
- build with mjpegtools 1.6.0

* Mon Sep 23 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-1plf
- drop the patch
- 0.6.1

* Mon Sep  9 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-4plf
- back to libfame0.8, as 0.9 seems to cause crashes
- buildrequires libffmpeg-devel

* Tue Sep  3 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-3plf
- buildrequire libfame0.9-devel for now
- disable libmpeg3, obsolete
- don't buildrequire openquicktime, doesn't work

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.6.0-2plf
- Rebuild with gcc3.2

* Sat Aug 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-1plf
- 0.6.0 final 

* Tue Jul 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020711.1plf
- 0.6.0rc3

* Mon Jun 24 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020620.1plf
- 0.6.0rc2
- buildrequires nasm >= 0.98 (Han <han@mijncomputer.nl>)

* Fri Jun 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020613.1plf
- 0.6.0rc1
- dropped patch0

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.2plf
- rebuild with libfame 0.9

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.1plf
- 0.6.0pre6-20020529
- fixed doc

* Thu May 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020516.1plf
- 0.6.0pre5

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020514.1plf
- 0.6.0pre5-20020514

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020513.1plf
- 0.6.0pre5-20020513
- build with gcc3.1
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - autoconf 2.5 macro
 - libfame support
 - libmpeg3 support

* Mon May 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.2plf
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - divx5 patch
 - enabled runtime optimisations 

* Fri May 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.1plf
- 0.6.0pre5-20020503
- simpler release scheme

* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.0.pre5.20020426.1plf
- 0.6.0pre5-20020426
- correct invalid $RPM_BUILD_ROOT references in .la files

* Thu Apr 18 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.4plf
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - patched internal dvdread to use current libdvdcss
 - buildrequires libmp3lame-devel
 - buildrequires nasm = 0.98
 - no more buildrequires ffmpeg
- corrected changelog (Thierry Vignaud <tvignaud@mandrakesoft.com>)
- buildrequires libdv-devel = 0.9, not libdv-compat

* Mon Apr 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.3plf
- buildrequires ffmpeg,libopenquicktime-devel,libmjpegtools-devel,libdv-compat-devel,nasm,liba52dec-devel
- liba52 as defaut encode
- disable mmx and sse optimisations (we have to run out of the box on any pentium class host)

* Mon Apr 01 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.2plf
- added missing doc files
- spec cleanup

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.1plf
- 0.6.0pre4
- buildrequires freetype2-devel
- added missing la files

* Sun Mar 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- first mandrake version

* Wed Jul 11 2001 Thomas Östreich
- update to transcode v0.3.3
- small changes suggested by VM

* Tue Jul 10 2001 Thomas Östreich
- update to transcode v0.3.2
- added pkgdir in install section

* Tue Jul 10 2001 Volker Moell <moell@gmx.de>
- Wrote this specfile; first build
